Bug 104587 - [Update]: Mark devel/py-ctypes IGNORE for python >= 2.5
Summary: [Update]: Mark devel/py-ctypes IGNORE for python >= 2.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Botero-Lowry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-19 22:10 UTC by Marcus von Appen
Modified: 2006-12-08 22:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (852 bytes, patch)
2006-10-19 22:10 UTC, Marcus von Appen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus von Appen freebsd_committer freebsd_triage 2006-10-19 22:10:13 UTC
	The ctypes module ships with Python 2.5 and thus should be
        ignored, if the default PYTHON_REL resolves to a value >= 250.

        This behaviour should be easily overrideable for users who need
        it for another installed python version by setting the
        PYTHON_VERSION to another default value in the pkgtools.conf or
        simply commenting out the IGNORE line.

        Bumped PORTREVISION to note users about that change (although
        2.5 is not the default some people might use it already as default).

How-To-Repeat: 	--
Comment 1 Edwin Groothuis freebsd_committer 2006-10-19 22:10:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perky

Over to maintainer
Comment 2 Alexander Botero-Lowry freebsd_committer 2006-12-07 10:05:35 UTC
Responsible Changed
From-To: perky->alexbl

I will take it.
Comment 3 dfilter service freebsd_committer 2006-12-08 21:50:32 UTC
alexbl      2006-12-08 21:50:20 UTC

  FreeBSD ports repository

  Modified files:
    Mk                   bsd.python.mk 
    audio/py-libtunepimp Makefile 
    audio/py-musicbrainz2 Makefile 
    devel/py-ctypes      Makefile 
  Log:
   - Mark devel/py-ctypes IGNORE with Python 2.5 [1]
   - add a PYCTYPES dependency macro to bsd.python.mk to unbreak ctypes using
     ports on Python 2.5 [2]
   - Update two of the four ports using ctypes to this macro [3]
  
  PR: 104587 [1]
  Submitted by:   Marcus von Appen <mva@sysfault.org> [1]
  Approved by:    portmgr (pav, linimon) [2], myself [3]
  
  Revision  Changes    Path
  1.88      +13 -1     ports/Mk/bsd.python.mk
  1.7       +2 -2      ports/audio/py-libtunepimp/Makefile
  1.3       +2 -2      ports/audio/py-musicbrainz2/Makefile
  1.14      +7 -1      ports/devel/py-ctypes/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Alexander Botero-Lowry freebsd_committer 2006-12-08 21:50:42 UTC
State Changed
From-To: open->closed

Committed, thanks!